> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.ntropy.com/documentation/api/reports/get-report-v-3-reports-id-get/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ntropy.com/_mcp/server. # Retrieve a report GET https://api.ntropy.com/v3/reports/{id} Retrieve a report Reference: https://docs.ntropy.com/documentation/api/reports/get-report-v-3-reports-id-get ## Authentication - `X-Api-Key` header (required) — API Key authentication via header ## Request ### Path parameters - `id` (string, required) ## Response ### 200 Successful Response - `transaction_id` (string, required) — The unique identifier of the transaction - `description` (string, required) — A description of what is wrong in the transaction - `fields` (list of string, required) — A list of the fields that are incorrect - `id` (string, required) — A generated unique identifier for the report. - `created_at` (datetime, required) — The date and time when the report was created. - `status` (enum, required) — The status of the report. * `open`: a newly created report * `pending`: the report is being investigated * `rejected`: the original enrichment output was deemed correct or we couldn't resolve it, check `rejection_reason` * `resolved`: the issue has been resolved - Allowed values: `open`, `pending`, `resolved`, `rejected` - `rejection_reason` (string, optional, nullable) — If the report was rejected, an explanation for the rejection. ## Errors ### 404 Not Found Error Report with the provided id not found. - `any` ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Response** ```json { "transaction_id": "xbx8YP14g565Xk", "description": "lorem ipsum", "fields": [ ".entities.counterparty" ], "id": "a652285d-de1b-4a6f-b6ce-45efa9be7952", "created_at": "2024-10-03T02:53:30.167953Z", "status": "open" } ``` **SDK Code** ```python Python SDK from ntropy_sdk import SDK sdk = SDK("cd1H...Wmhl") report = sdk.reports.get("a652285d-de1b-4a6f-b6ce-45efa9be7952") ``` ```javascript const url = 'https://api.ntropy.com/v3/reports/id'; const options = {method: 'GET', headers: {'X-Api-Key': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.ntropy.com/v3/reports/id" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-Api-Key", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.ntropy.com/v3/reports/id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["X-Api-Key"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.ntropy.com/v3/reports/id") .header("X-Api-Key", "") .asString(); ``` ```php request('GET', 'https://api.ntropy.com/v3/reports/id', [ 'headers' => [ 'X-Api-Key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.ntropy.com/v3/reports/id"); var request = new RestRequest(Method.GET); request.AddHeader("X-Api-Key", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["X-Api-Key": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://api.ntropy.com/v3/reports/id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```